summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
Diffstat (limited to 'build')
-rw-r--r--build/cache.sh2
-rw-r--r--build/nics-template.yaml.jinja22
-rw-r--r--build/opnfv-apex-common.spec14
-rw-r--r--build/opnfv-environment.yaml5
-rwxr-xr-xbuild/overcloud-full.sh3
-rwxr-xr-xbuild/overcloud-onos.sh12
-rwxr-xr-xbuild/overcloud-opendaylight-sfc.sh48
-rw-r--r--build/python-congressclient.diff25
-rwxr-xr-xbuild/undercloud.sh3
-rw-r--r--build/variables.sh6
10 files changed, 78 insertions, 42 deletions
diff --git a/build/cache.sh b/build/cache.sh
index 123748a2..4d41a7a2 100644
--- a/build/cache.sh
+++ b/build/cache.sh
@@ -60,7 +60,7 @@ function populate_cache {
else
my_md5=$(grep ${filename} $CACHE_DIR/.cache | awk {'print $1'})
if [ "$remote_md5" != "$my_md5" ]; then
- echo "MD5 mismatch: Remote MD5 is ${remote_md5}, Cache file MD5 is ${my_md5}"
+ echo "MD5 mismatch, cache file MD5 is ${my_md5}"
echo "Downloading $filename"
curl_file $1 $filename
else
diff --git a/build/nics-template.yaml.jinja2 b/build/nics-template.yaml.jinja2
index 455ae0f3..91d0c478 100644
--- a/build/nics-template.yaml.jinja2
+++ b/build/nics-template.yaml.jinja2
@@ -94,7 +94,7 @@ resources:
name: nic1
# force the MAC address of the bridge to this interface
primary: true
- {%- if 'public_network' in enabled_networks and vlans['private_network'] is number %}
+ {%- if 'public_network' in enabled_networks and vlans['public_network'] is number %}
-
type: vlan
vlan_id: {get_param: ExternalNetworkVlanID}
diff --git a/build/opnfv-apex-common.spec b/build/opnfv-apex-common.spec
index ce77d6df..5e1a9b36 100644
--- a/build/opnfv-apex-common.spec
+++ b/build/opnfv-apex-common.spec
@@ -45,6 +45,7 @@ install config/deploy/os-odl_l2-fdio-ha.yaml %{buildroot}%{_sysconfdir}/opnfv-ap
install config/deploy/os-odl_l2-fdio-noha.yaml %{buildroot}%{_sysconfdir}/opnfv-apex/os-odl_l2-fdio-noha.yaml
install config/deploy/os-odl_l3-nofeature-ha.yaml %{buildroot}%{_sysconfdir}/opnfv-apex/os-odl_l3-nofeature-ha.yaml
install config/deploy/os-onos-nofeature-ha.yaml %{buildroot}%{_sysconfdir}/opnfv-apex/os-onos-nofeature-ha.yaml
+install config/deploy/os-onos-sfc-ha.yaml %{buildroot}%{_sysconfdir}/opnfv-apex/os-onos-sfc-ha.yaml
install config/deploy/os-ocl-nofeature-ha.yaml %{buildroot}%{_sysconfdir}/opnfv-apex/os-ocl-nofeature-ha.yaml
install config/network/network_settings.yaml %{buildroot}%{_sysconfdir}/opnfv-apex/network_settings.yaml
install config/network/network_settings_v6.yaml %{buildroot}%{_sysconfdir}/opnfv-apex/network_settings_v6.yaml
@@ -52,7 +53,12 @@ install config/network/network_settings_v6.yaml %{buildroot}%{_sysconfdir}/opnfv
mkdir -p %{buildroot}%{_var}/opt/opnfv/lib/python/apex
install lib/common-functions.sh %{buildroot}%{_var}/opt/opnfv/lib/
+install lib/configure-deps-functions.sh %{buildroot}%{_var}/opt/opnfv/lib/
install lib/parse-functions.sh %{buildroot}%{_var}/opt/opnfv/lib/
+install lib/virtual-setup-functions.sh %{buildroot}%{_var}/opt/opnfv/lib/
+install lib/undercloud-functions.sh %{buildroot}%{_var}/opt/opnfv/lib/
+install lib/overcloud-deploy-functions.sh %{buildroot}%{_var}/opt/opnfv/lib/
+install lib/post-install-functions.sh %{buildroot}%{_var}/opt/opnfv/lib/
install lib/utility-functions.sh %{buildroot}%{_var}/opt/opnfv/lib/
install lib/python/apex_python_utils.py %{buildroot}%{_var}/opt/opnfv/lib/python/
mkdir -p %{buildroot}%{python3_sitelib}/apex/
@@ -85,7 +91,12 @@ install config/inventory/pod_example_settings.yaml %{buildroot}%{_docdir}/opnfv/
%attr(755,root,root) %{_bindir}/opnfv-clean
%attr(755,root,root) %{_bindir}/opnfv-util
%{_var}/opt/opnfv/lib/common-functions.sh
+%{_var}/opt/opnfv/lib/configure-deps-functions.sh
%{_var}/opt/opnfv/lib/parse-functions.sh
+%{_var}/opt/opnfv/lib/virtual-setup-functions.sh
+%{_var}/opt/opnfv/lib/undercloud-functions.sh
+%{_var}/opt/opnfv/lib/overcloud-deploy-functions.sh
+%{_var}/opt/opnfv/lib/post-install-functions.sh
%{_var}/opt/opnfv/lib/utility-functions.sh
%{_var}/opt/opnfv/lib/python/
%{python3_sitelib}/apex/
@@ -102,6 +113,7 @@ install config/inventory/pod_example_settings.yaml %{buildroot}%{_docdir}/opnfv/
%{_sysconfdir}/opnfv-apex/os-odl_l2-fdio-ha.yaml
%{_sysconfdir}/opnfv-apex/os-odl_l3-nofeature-ha.yaml
%{_sysconfdir}/opnfv-apex/os-onos-nofeature-ha.yaml
+%{_sysconfdir}/opnfv-apex/os-onos-sfc-ha.yaml
%{_sysconfdir}/opnfv-apex/os-ocl-nofeature-ha.yaml
%{_sysconfdir}/opnfv-apex/network_settings.yaml
%{_sysconfdir}/opnfv-apex/network_settings_v6.yaml
@@ -116,7 +128,7 @@ install config/inventory/pod_example_settings.yaml %{buildroot}%{_docdir}/opnfv/
%changelog
* Tue Jul 5 2016 Dan Radez <dradez@redhat.com> - 3.0-10
-- Adding parse-functions.sh
+- Adding functions.sh files
* Thu Jun 15 2016 Tim Rozet <trozet@redhat.com> - 3.0-9
- Add fdio scenarios.
* Tue Jun 14 2016 Feng Pan <fpan@redhat.com> - 3.0-8
diff --git a/build/opnfv-environment.yaml b/build/opnfv-environment.yaml
index 54b1e6f2..7a3ae739 100644
--- a/build/opnfv-environment.yaml
+++ b/build/opnfv-environment.yaml
@@ -8,3 +8,8 @@ parameters:
EnableSahara: false
ExtraConfig:
tripleo::ringbuilder::build_ring: False
+ nova::policy::policies:
+ nova-os_compute_api:servers:show:host_status:
+ key: 'os_compute_api:servers:show:host_status'
+ value: 'rule:admin_or_owner'
+
diff --git a/build/overcloud-full.sh b/build/overcloud-full.sh
index 936decc3..01f40269 100755
--- a/build/overcloud-full.sh
+++ b/build/overcloud-full.sh
@@ -64,6 +64,7 @@ popd > /dev/null
# enable connection tracking for protocal sctp
# install the congress rpms
# upload and explode the congress puppet module
+# install doctor driver ## Can be removed in Newton
LIBGUESTFS_BACKEND=direct virt-customize \
--upload ../opnfv-puppet-tripleo.tar.gz:/etc/puppet/modules \
--run-command "sed -i 's/^#UseDNS.*$/UseDNS no/' /etc/ssh/sshd_config" \
@@ -81,6 +82,8 @@ LIBGUESTFS_BACKEND=direct virt-customize \
--install "python2-congressclient" \
--upload puppet-congress.tar.gz:/etc/puppet/modules/ \
--run-command "cd /etc/puppet/modules/ && tar xzf puppet-congress.tar.gz" \
+ --run-command "cd /usr/lib/python2.7/site-packages/congress/datasources && curl -O $doctor_driver" \
+ --run-command "sed -i \"s/'--detailed-exitcodes',/'--detailed-exitcodes','-l','syslog','-l','console',/g\" /var/lib/heat-config/hooks/puppet" \
-a overcloud-full_build.qcow2
mv -f overcloud-full_build.qcow2 overcloud-full.qcow2
diff --git a/build/overcloud-onos.sh b/build/overcloud-onos.sh
index d59be0a3..e13923d9 100755
--- a/build/overcloud-onos.sh
+++ b/build/overcloud-onos.sh
@@ -19,12 +19,12 @@ cp -f overcloud-full.qcow2 overcloud-full-onos_build.qcow2
#######################################
# upgrade ovs into ovs 2.5.90 with NSH function
-curl -L -O ${onos_ovs_uri}/package_ovs_rpm.tar.gz
-tar -xzf package_ovs_rpm.tar.gz
-LIBGUESTFS_BACKEND=direct virt-customize --upload openvswitch-kmod-2.5.90-1.el7.centos.x86_64.rpm:/root/ \
- --run-command "yum install -y /root/openvswitch-kmod-2.5.90-1.el7.centos.x86_64.rpm" \
- --upload openvswitch-2.5.90-1.el7.centos.x86_64.rpm:/root/ \
- --run-command "yum upgrade -y /root/openvswitch-2.5.90-1.el7.centos.x86_64.rpm" \
+curl -L -O ${onos_ovs_uri}/package_ovs_rpm_new.tar.gz
+tar -xzf package_ovs_rpm_new.tar.gz
+LIBGUESTFS_BACKEND=direct virt-customize --upload ${ovs_kmod_rpm_name}:/root/ \
+ --run-command "yum install -y /root/${ovs_kmod_rpm_name}" \
+ --upload ${ovs_rpm_name}:/root/ \
+ --run-command "yum upgrade -y /root/${ovs_rpm_name}" \
-a overcloud-full-onos_build.qcow2
diff --git a/build/overcloud-opendaylight-sfc.sh b/build/overcloud-opendaylight-sfc.sh
index 9b38ca29..5032ba06 100755
--- a/build/overcloud-opendaylight-sfc.sh
+++ b/build/overcloud-opendaylight-sfc.sh
@@ -8,43 +8,27 @@
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
set -e
+source ./variables.sh
+pushd images > /dev/null
################################################
##### Adding SFC+OpenDaylight overcloud #####
################################################
-#copy opendaylight overcloud full to isolate odl-sfc
-cp -f images/overcloud-full-opendaylight.qcow2 images/overcloud-full-opendaylight-sfc_build.qcow2
+#copy opendaylight overcloud full to odl-sfc
+cp -f overcloud-full-opendaylight.qcow2 overcloud-full-opendaylight-sfc_build.qcow2
-# work around for XFS grow bug
-# http://xfs.org/index.php/XFS_FAQ#Q:_Why_do_I_receive_No_space_left_on_device_after_xfs_growfs.3F
-cat > /tmp/xfs-grow-remount-fix.service << EOF
-[Unit]
-Description=XFS Grow Bug Remount
-After=network.target
-Before=getty@tty1.service
+# upgrade ovs into ovs 2.5.90 with NSH function
+if ! [[ -f "$ovs_rpm_name" && -f "$ovs_kmod_rpm_name" ]]; then
+ curl -L -O ${onos_ovs_uri}/package_ovs_rpm_new.tar.gz
+ tar -xzf package_ovs_rpm_new.tar.gz
+fi
-[Service]
-Type=oneshot
-ExecStart=/bin/bash -c "echo 'XFS Grow Bug Remount Sleeping 180s' && sleep 180 && echo 'XFS Grow Bug Remounting Now' && mount -o remount,inode64 /"
-RemainAfterExit=no
+LIBGUESTFS_BACKEND=direct virt-customize --upload ${ovs_kmod_rpm_name}:/root/ \
+ --run-command "yum install -y /root/${ovs_kmod_rpm_name}" \
+ --upload ${ovs_rpm_name}:/root/ \
+ --run-command "yum upgrade -y /root/${ovs_rpm_name}" \
+ -a overcloud-full-opendaylight-sfc_build.qcow2
-[Install]
-WantedBy=multi-user.target
-EOF
-
-
-# kernel is patched with patch from this post
-# http://xfs.org/index.php/XFS_FAQ#Q:_Why_do_I_receive_No_space_left_on_device_after_xfs_growfs.3F
-LIBGUESTFS_BACKEND=direct virt-customize \
- --upload "/tmp/xfs-grow-remount-fix.service:/etc/systemd/system/xfs-grow-remount-fix.service" \
- --run-command "chmod 664 /etc/systemd/system/xfs-grow-remount-fix.service" \
- --run-command "systemctl enable xfs-grow-remount-fix.service" \
- --install 'https://radez.fedorapeople.org/kernel-ml-3.13.7-1.el7.centos.x86_64.rpm' \
- --run-command 'grub2-set-default "\$(grep -P \"submenu|^menuentry\" /boot/grub2/grub.cfg | cut -d \"\\x27\" | head -n 1)"' \
- --install 'https://radez.fedorapeople.org/openvswitch-kmod-2.3.90-1.el7.centos.x86_64.rpm' \
- --run-command 'yum downgrade -y https://radez.fedorapeople.org/openvswitch-2.3.90-1.x86_64.rpm' \
- --run-command 'rm -f /lib/modules/3.13.7-1.el7.centos.x86_64/kernel/net/openvswitch/openvswitch.ko' \
- --run-command 'ln -s /lib/modules/3.13.7-1.el7.centos.x86_64/kernel/extra/openvswitch/openvswitch.ko /lib/modules/3.13.7-1.el7.centos.x86_64/kernel/net/openvswitch/openvswitch.ko' \
- -a images/overcloud-full-opendaylight-sfc_build.qcow2
-mv images/overcloud-full-opendaylight-sfc_build.qcow2 images/overcloud-full-opendaylight-sfc.qcow2
+mv overcloud-full-opendaylight-sfc_build.qcow2 overcloud-full-opendaylight-sfc.qcow2
+popd > /dev/null
diff --git a/build/python-congressclient.diff b/build/python-congressclient.diff
new file mode 100644
index 00000000..82e76e07
--- /dev/null
+++ b/build/python-congressclient.diff
@@ -0,0 +1,25 @@
+From 26d39efbb931e04a5e95d504c27ede12d0a81c43 Mon Sep 17 00:00:00 2001
+From: Masahito Muroi <muroi.masahito@lab.ntt.co.jp>
+Date: Fri, 25 Mar 2016 14:06:00 +0900
+Subject: [PATCH] Allows DataSource's config field to have not dict type obj
+
+CongressClient expects all datasource driver has dict object in
+config field. It raises an error when a datasource doesn't have
+any config.
+
+This patch allows config fields to be None object.
+
+Change-Id: I73354f1073f3f814854652eaeaa4b3bbe4bfcf7d
+---
+
+diff --git a/congressclient/common/utils.py b/congressclient/common/utils.py
+index 9a381e8..b5cedd4 100644
+--- a/congressclient/common/utils.py
++++ b/congressclient/common/utils.py
+@@ -77,6 +77,8 @@
+ :param data: a dict
+ :rtype: a string formatted to {a:b, c:d}
+ """
++ if not isinstance(data, dict):
++ return str(data)
+ return str({str(key): str(value) for key, value in data.items()})
diff --git a/build/undercloud.sh b/build/undercloud.sh
index 9873c177..7b40625e 100755
--- a/build/undercloud.sh
+++ b/build/undercloud.sh
@@ -27,6 +27,7 @@ pushd images > /dev/null
# enabling ceph OSDs to live on the controller
# OpenWSMan package update supports the AMT Ironic driver for the TealBox
# seeding configuration files specific to OPNFV
+# add congress client and apply: https://review.openstack.org/#/c/297515/
# add congress password to python-triploclient
LIBGUESTFS_BACKEND=direct virt-customize \
--upload ../opnfv-tht.tar.gz:/usr/share \
@@ -39,6 +40,8 @@ LIBGUESTFS_BACKEND=direct virt-customize \
--upload ../opnfv-environment.yaml:/home/stack/ \
--upload ../virtual-environment.yaml:/home/stack/ \
--install "python2-congressclient" \
+ --upload ../python-congressclient.diff:/tmp \
+ --run-command "cd /usr/lib/python2.7/site-packages && patch -p1 < /tmp/python-congressclient.diff" \
--run-command "sed -i '/SERVICE_LIST/a\\ \x27congress\x27: {\x27password_field\x27: \x27OVERCLOUD_CONGRESS_PASSWORD\x27},' /usr/lib/python2.7/site-packages/tripleoclient/constants.py" \
--run-command "sed -i '/PASSWORD_NAMES =/a\\ \"OVERCLOUD_CONGRESS_PASSWORD\",' /usr/lib/python2.7/site-packages/tripleoclient/utils.py" \
--run-command "sed -i '/AodhPassword/a\\ parameters\[\x27CongressPassword\x27\] = passwords\[\x27OVERCLOUD_CONGRESS_PASSWORD\x27\]' /usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py" \
diff --git a/build/variables.sh b/build/variables.sh
index ccd1add5..6632b526 100644
--- a/build/variables.sh
+++ b/build/variables.sh
@@ -12,8 +12,9 @@ rdo_images_uri=https://ci.centos.org/artifacts/rdo/images/mitaka/delorean/stable
onos_release_uri=https://downloads.onosproject.org/nightly/
onos_release_file=onos-1.6.0-rc2.tar.gz
onos_jdk_uri=https://www.dropbox.com/s/qyujpib8zyhzeev
-onos_ovs_uri=https://www.dropbox.com/s/gm6o6k80l56pf0o
+onos_ovs_uri=https://www.dropbox.com/s/7rfr9l2qz3a36cc
openstack_congress=https://radez.fedorapeople.org/openstack-congress-2016.1-1.fc24.noarch.rpm
+doctor_driver=https://raw.githubusercontent.com/muroi/congress/doctor-poc/congress/datasources/doctor_driver.py
dpdk_uri_base=http://artifacts.opnfv.org/ovsnfv
dpdk_rpms=(
@@ -23,3 +24,6 @@ dpdk_rpms=(
'ovs4opnfv-32930523-dpdk-tools-16.04.0-1.el7.centos.x86_64.rpm'
'ovs4opnfv-32930523-openvswitch-2.5.90-0.12032.gitc61e93d6.1.el7.centos.x86_64.rpm'
)
+
+ovs_rpm_name=openvswitch-2.5.90-0.11974.gitc4623bb8.1.el7.centos.x86_64.rpm
+ovs_kmod_rpm_name=openvswitch-kmod-2.5.90-1.el7.centos.x86_64.rpm